Foreman - Bug #12296

Users in external group removed, users remain in Foreman.
10/23/2015 11:39 AM - Bryan Kearney

Status: Rejected
Priority: Normal
Assignee:

Category: Authentication

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1253800 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1253800

Description of problem:

External group in Foreman linked to LDAP. Refresh button populates group members as expected. Remove all users from group in
LDAP, refresh button has comes back with: "Group does not have any members" as expected. However the previous user account
still exists in that group even though they are no longer in said group in LDAP.

Version-Release number of selected component (if applicable):

Red Hat Satellite
Version 6.1.1 © 2014 Red Hat Inc.
Includes Foreman © 2009-2015 Paul Kelly and Ohad Levy

How reproducible: 100%

Steps to Reproduce:

. Create user group in Satellite Server
. Link it to external LDAP group

. Refresh the LDAP Satellite group

. Note members of group post refresh
. Remove all group members in LDAP
. Refresh the LDAP Satellite group

. View the user group members
Actual results:
Members no longer in the LDAP group remain in Satellite user group.

Expected results:
Members no longer in the LDAP group should be removed from Satellite user group.

Additional info:
I am using an old Sun LDAP for this test. Have not tried to reproduce on AD or OpenLDAP.

History

#1 - 10/23/2015 11:40 AM - Bryan Kearney

- Category set to Authentication

#2 - 10/26/2015 04:03 AM - Dominic Cleal

- Status changed from New to Need more information

Can you provide debug logs (with LDAP enabled)? http:/theforeman.org/manuals/latest/index.html#7.2Debugging

Idapsearch output of the groups would be useful too.

#3 - 02/29/2016 09:57 AM - Tomer Brisker
https://bugzilla.redhat.com/show_bug.cgi?id=1253800
http://theforeman.org/manuals/latest/index.html#7.2Debugging

- Status changed from Need more information to Rejected

Downstream bug has been closed, could not be reproduced. Closing upstream as well.
